function adjoint = adjoint_new(adjoint)

adjoint.funcs  = [];
adjoint.identifyers = {};

adjoint.a_dim    = zeros(1,2);
adjoint.ax_idx   = [];
adjoint.af_idx   = [];
adjoint.l0       = [];
adjoint.tl0      = [];
adjoint.active   = [];
adjoint.inactive = [];
adjoint.l_idx    = [];
adjoint.lnames   = [];
adjoint.midx     = {};

adjoint.F        = @adjoint_F;
adjoint.FDF      = @adjoint_FDF;
adjoint.DFDX     = @adjoint_DFDX;

end
